Rysunek Roboczy: Prostokąt

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Rectangle and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский

Draft Rectangle.svg Draft: Prostokąt

Lokalizacja w menu
Drafting → Prostokąt
Środowisko pracy
Rysunek roboczy, Architektura
Domyślny skrót
R E
Wprowadzono w wersji
0.7
Zobacz także
brak

Opis

Polecenie Draft Rectangle.svg Prostokąt tworzy prostokąt w bieżącej płaszczyźnie roboczej przy uzyciu dwóch punktów.

Rogi prostokąta mogą być zaokrąglone lub sfazowane poprzez zmianę właściwości DANEPromień zaokrąglenia lub DANERozmiar fazki. Możliwe jest również podzielenie prostokąta przez zmianę jego właściwości DANEKolumny i/lub DANERzędy.

Draft Rectangle example.jpg

Prostokąt zdefiniowany przez dwa punkty

Użycie

Zobacz również Tacka narzędziowa, Przyciąganie oraz Wiązania.

  1. Istnieje kilka sposobów na wywołanie polecenia:
    • Naciśnij przycisk Draft Rectangle.svg Tworzy prostokąt ....
    • Wybierz z menu opcję Kreślenie → Draft Rectangle.svg Prostokąt.
    • Użyj skrótu klawiaturowego: R, a następnie E.
  2. Otworzy się panel zadań Prostokąt. Zobacz akapit Opcje, aby uzyskać więcej informacji.
  3. Wybierz pierwszy punkt w oknie widoku 3D, lub wpisz współrzędne i naciśnij przycisk Draft AddPoint.svg Wprowadź punkt.
  4. Wybierz drugi punkt w oknie widoku 3D lub wpisz współrzędne i naciśnij przycisk Draft AddPoint.svg Wprowadź punkt. Ten punkt nie może być związany z osią X, Y lub Z.

Opcje

Skróty klawiaturowe jedno znakowe dostępne w panelu zadań można zmienić. Zobacz stronę Preferencji. Skróty wymienione tutaj są skrótami domyślnymi.

  • Aby ręcznie wprowadzić współrzędne, wprowadź składowe X, Y i Z, i naciśnij klawisz Enter po każdej z nich. Możesz też nacisnąć przycisk Draft AddPoint.svg Wprowadź punkt, gdy masz już żądane wartości. Wskazane jest, aby przed wprowadzeniem współrzędnych wysunąć kursor myszki poza okno widoku 3D.
  • Naciśnij klawisz R lub kliknij pole wyboru Względnie, aby przełączyć tryb względny. Jeśli tryb względny jest włączony, współrzędne drugiego punktu są odniesione do pierwszego punktu, w przeciwnym razie są one odniesione do początku układu współrzędnych.
  • Naciśnij klawisz G lub kliknij w pole wyboru Globalnie, aby przełączyć tryb globalny. Jeśli tryb globalny jest włączony, współrzędne są odniesione do globalnego układu współrzędnych, w przeciwnym razie są one odniesione do układu współrzędnych płaszczyzny roboczej. dostępne w wersji 0.20
  • Naciśnij klawisz L lub kliknij pole wyboru Wypełnienie, aby przełączyć tryb wypełnienia. Jeśli tryb wypełnienia jest włączony, utworzony prostokąt będzie miał ustawioną właściwość DANEUtwórz ścianę na wartość true i będzie miał wypełnioną powierzchnię.
  • Naciśnij klawisz T lub kliknij pole wyboru Kontynuuj, aby przełączyć tryb kontynuacji. Jeśli tryb kontynuacji jest włączony, polecenie zostanie uruchomione ponownie po zakończeniu operacji, umożliwiając dalsze tworzenie prostokątów.
  • Naciśnij klawisz S, aby włączyć lub wyłączyć przyciąganie.
  • Naciśnij klawisz Esc lub przycisk Zamknij, aby przerwać działanie polecenia.

Uwagi

  • Szkic prostokąta można edytować za pomocą polecenia Edycja.

Ustawienia

Zobacz także strony: Edytor ustawień oraz Rysunek Roboczy: Preferencje.

  • Aby zmienić ilość miejsc po przecinku używanych przy wprowadzaniu współrzędnych: Edycja → Preferencje → Ogólne → Jednostki → Ustawienia jednostek → Liczba cyfr po przecinku.
  • Aby zmienić wartość początkową trybu wypełnienia: Edycja → Preferencje → Kreślenie → Ustawienia ogólne → Opcje narzędzi do kreślenia → Wypełniaj obiekty powierzchniami, gdy tylko jest to możliwe. Zmiana trybu wypełnienia w panelu zadań spowoduje nadpisanie tych preferencji dla bieżącej sesji FreeCAD.
  • Jeśli opcja Edycja → Preferencje → Kreślenie → Ustawienia ogólne → Opcje narzędzi szkicu → Używaj elementów pierwotnych, gdy jest to możliwe jest zaznaczona, polecenie utworzy płaszczyznę części zamiast szkicu prostokąta.

Właściwości

Zobacz również stronę: Edytor właściwości.

Obiekt Prostokąt wywodzi się z obiektu Część: Part2DObject i dziedziczy wszystkie jego właściwości. Posiada on również następujące dodatkowe właściwości:

Dane

Rysunek Roboczy

  • DANEPowierzchnia: (tylko do odczytu) określa powierzchnię prostokąta. Wartość ta będzie równa 0.0, jeśli właściwość DANEUtwórz ścianę ma wartość false.
  • DANERozmiar fazki: określa długość faz na rogach prostokąta.
  • DANEKolumny: określa liczbę kolumn o równej wielkości, na które podzielony jest prostokąt.
  • DANEPromień zaokrąglenia: określa promień zaokrągleń na rogach prostokąta.
  • DANEWysokość: określa wysokość prostokąta.
  • DANEDługość: określa długość prostokąta.
  • DANEUtwórz ścianę: określa, czy prostokąt tworzy powierzchnię, czy nie. Jeśli wartość jest równa true, tworzona jest ściana, w przeciwnym razie tylko obwód jest uważany za część obiektu.
  • DANERzędy: określa liczbę równej wielkości rzędów, na które podzielony jest prostokąt.

Widok

Rysunek Roboczy

  • WIDOKWzór: określa wzór, którym ma być wypełniona powierzchnia prostokąta. Ta właściwość działa tylko wtedy, gdy właściwość DANEUtwórz ścianę ma wartość true i gdy właściwość WIDOKTryb wyświatlania ma wartość Płaskie linie.
  • WIDOKRozmiar wzoru: określa rozmiar wzoru.
  • WIDOKObraz tekstury: określa ścieżkę pliku obrazu, który ma zostać odwzorowany na powierzchni prostokąta. Wyczyszczenie tej właściwości spowoduje usunięcie obrazu. Prostokąt powinien mieć takie same proporcje jak obraz, aby uniknąć zniekształceń.

Tworzenie skryptów

Zobacz również stronę: Dokumentacja API generowana automatycznie oraz Podstawy tworzenia skryptów FreeCAD.

Aby utworzyć prostokąt użyj metody mmake_rectangle modułu Rysunek Roboczy (dostępne w wersji 0.19). Ta metoda zastępuje przestarzałą metodę makeRectangle.

rectangle = make_rectangle(length, height, placement=None, face=None, support=None)
  • Tworzy obiekt Prostokąt o Długości w kierunku X i Wysokości w kierunku Y, z jednostkami w milimetrach.
  • Jeśli parametr Umiejscownienie ma wartość Brak, prostokąt zostanie utworzony w punkcie początkowym, a jego długość będzie równoległa do osi X.
  • Jeśli parametr Ściana ma wartość Prawda, prostokąt zostanie utworzony jako powierzchnia, czyli będzie wyglądał na wypełniony.

Przykład:

import FreeCAD as App
import Draft

doc = App.newDocument()

rectangle1 = Draft.make_rectangle(4000, 1000)
rectangle2 = Draft.make_rectangle(1000, 4000)

zaxis = App.Vector(0, 0, 1)
p3 = App.Vector(1000, 1000, 0)
place3 = App.Placement(p3, App.Rotation(zaxis, 45))

rectangle3 = Draft.make_rectangle(3500, 250, placement=place3)

doc.recompute()